SmartCAT component trial period expired message?

  • 1
  • Question
  • Updated 2 years ago
  • Answered
Running SmartSDR 1.9.13 -- just today, after I restarted my computer (running Win10) to install Windows updates, I got a message from the SmartCAT startup that a component's trial period had expired and now SmartCAT won't initiate.

Anyone else seeing this message?
Photo of VE7ATJ

VE7ATJ

  • 121 Posts
  • 22 Reply Likes

Posted 2 years ago

  • 1
Photo of Kevin K4VD, Elroy

Kevin K4VD, Elroy

  • 775 Posts
  • 171 Reply Likes
I went through an update reboot today but I see no issues with SmartCAT. Everything seems to have started up fine.

MS Windows 1607 build 14393.351
SmartSDR 1.9.13.173
Photo of Bob G   W1GLV

Bob G W1GLV

  • 661 Posts
  • 110 Reply Likes
I just upgraded my three computers to Windows 10 with no issues.
Photo of Chris Tate  - N6WM

Chris Tate - N6WM, Elmer

  • 808 Posts
  • 217 Reply Likes
would try a re-install of SSDR.  If this continues I would open up a ticket.  is your windows isntance properly activated?  I have never seen this before.
Photo of Tim - W4TME

Tim - W4TME, Customer Experience Manager

  • 9152 Posts
  • 3471 Reply Likes
Can we see a screenshot of the actual error?
Photo of VE7ATJ

VE7ATJ

  • 121 Posts
  • 22 Reply Likes
Here's the screenshot.
Photo of VE7ATJ

VE7ATJ

  • 121 Posts
  • 22 Reply Likes
OK, I did a full uninstall of SmartSDR, restart of computer, redownload of SmartSDR 1.9.13 from the Downloads area, then full re-install.  I get the same message.

And yes, I'm running a fully legal, registered copy of Win10.
Photo of VE7ATJ

VE7ATJ

  • 121 Posts
  • 22 Reply Likes
OK, I think I may have found the problem and solution.
It appears to be related to running possibly an 'old' version of FlexVSP with this newer version of SmartSDR.

Apparently, FlexVSP is installed as the final part of the full install, but is NOT automatically uninstalled when you uninstall SmartSDR.  You need to uninstall the FlexVSP module as well, BEFORE installing the new version of SmartSDR.  [I'm sure this is probably written up somewhere, but it would be helpful to either have it happen automagically or be explicitly included in the installation instructions for SmartSDR.]

Otherwise, it appears the new installer doesn't recognize there's an old version of FlexVSP there, and simply leaves it alone.  Hence, the incompatibility between the NEW version of SmartSDR and the old version of FlexVSP.

Anyway, after uninstalling both FlexVSP and SmartSDR, then re-installing 1.9.13 again from the installer package, everything seems to be fine now.
Photo of Tim - W4TME

Tim - W4TME, Customer Experience Manager

  • 9152 Posts
  • 3471 Reply Likes
Glad you got it working.  Did you by chance remember what version of FlexVSP was installed that gave the error?
Photo of VE7ATJ

VE7ATJ

  • 121 Posts
  • 22 Reply Likes
Most likely it was the one that came with SmartSDR 1.9.7, but I can't be sure.
Sorry.
Photo of Danny K5CG

Danny K5CG

  • 304 Posts
  • 44 Reply Likes
I had the same error after Windbloze 10 did some updates I hadn't approved. All I did was reboot and SmartSDR worked afterward.